Name: libSM
Version: 1.2.3
Release: 3
License: X11
Summary: X.Org SM library
URL: http://x.org

Source0: http://ftp.x.org/pub/individual/lib/%{name}-%{version}.tar.gz

BuildRequires: automake
BuildRequires: autoconf
BuildRequires: libtool
BuildRequires: libxslt

BuildRequires: xorg-x11-proto-devel
BuildRequires: xorg-x11-xtrans-devel
BuildRequires: xorg-x11-util-macros
BuildRequires: libICE-devel
BuildRequires: libuuid-devel

%description
X.Org SM library.

%package -n libSM6
Summary: X.Org SM library.
Conflicts: libSM
Obsoletes: libSM

%description -n libSM6
X.Org SM library.

%package devel
Summary: Devel package for %{name}
Requires: libSM6 = %{version}-%{release}
Requires: xorg-x11-proto-devel

%description devel
This package contains development libraries and header files.

%prep
%setup -q

%build

export CONFIG_SHELL=%{_bindir}/bash
export CONFIG_ENV_ARGS=%{_bindir}/bash

autoreconf -fiv
# set ac_cv_func_uuid_create=no to disable HAVE_UUID_CREATE and use libuuid
# see https://github.com/freedesktop/libSM/commit/45720a2e266748ac15bc0544b56e035383695588
%configure \
    ac_cv_func_uuid_create=no \
    CPPFLAGS="-pthread" \
    LDFLAGS="-pthread -Wl,-blibpath:%{_libdir}:/QOpenSys/usr/lib" \
    --with-aix-soname=svr4 \
    --enable-shared \
    --disable-static \
    --with-libuuid \
    #end

%make_build

%check
make check

%install

%make_install

find %{buildroot}/%{_libdir} -name \*.la | xargs rm

%files -n libSM6
%defattr(-, qsys, *none)
%license COPYING
%doc ChangeLog
%{_libdir}/%{name}.so.6

%files devel
%defattr(-, qsys, *none)
%{_libdir}/%{name}.so
%{_includedir}/X11/SM/*.h
%{_libdir}/pkgconfig/*.pc
%{_datadir}/doc/libSM/*.xml

%changelog
* Thu Apr 08 2021 Abdirahim Musse <abdirahim.musse@ibm.com> - 1.2.3
- Obsolete and Conflict old package name provided by qsecofr repo

* Thu Mar 11 2021 Abdirahim Musse <abdirahim.musse@ibm.com> - 1.0.10
- Add missing header file requirements from xorg-x11-proto-devel

* Tue Aug 11 2020 Abdirahim Musse <abdirahim.musse@ibm.com> - 1.2.3
- Initial spec
